Name:           python-django-evolution
Version:        0.7.4
Epoch:          1
Release:        1%{?dist}
Summary:        Schema evolution for Django

Group:          Development/Languages
License:        BSD
URL:            http://code.google.com/p/django-evolution/
Source0:        http://downloads.reviewboard.org/releases/django-evolution/0.7/django_evolution-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-nose
BuildRequires:  python-coverage
BuildRequires:  pyflakes
BuildRequires:  python-sqlite
BuildRequires:  python-django >= 1.4.10
Requires:       python-django >= 1.4.10

Provides:       django-evolution = %{version}-%{release}
Obsoletes:      django-evolution < 0.6.7-4

# Patches
Patch0001: FED01-Disable-ez_setup-when-installing-by-RPM.patch

%description
When you run ./manage.py syncdb, Django will look for any new models that
have been defined, and add a database table to represent those new models.
However, if you make a change to an existing model, ./manage.py syncdb will
not make any changes to the database.

This is where Django Evolution fits in. Django Evolution is an extension to
Django that allows you to track changes in your models over time, and to
update the database to reflect those changes.

%prep
%setup -q -n django_evolution-%{version}
%patch0001 -p1

rm -Rf *.egg-info

%build
%{__python} setup.py build

%check
%{__python} tests/runtests.py
%{__python} tests/run-pyflakes.py

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# Delete tests. They aren't useful in an installed system
rm -rf $RPM_BUILD_ROOT/%{python_sitelib}/tests


%files
%doc AUTHORS LICENSE NEWS PKG-INFO docs/
%{python_sitelib}/django_evolution/*
%{python_sitelib}/django_evolution-%{version}*.egg-info

%changelog
* Mon Oct 27 2014 Stephen Gallagher <sgallagh@redhat.com> 0.7.4-1
- http://downloads.reviewboard.org/releases/django-evolution/0.7/django_evolution-0.7.4.NEWS

* Tue Jul 29 2014 Stephen Gallagher <sgallagh@redhat.com> 1:0.7.3-1
- Fixed issues evolving unique_together attributes on models.
- Adding and removing a unique_together constraint within an evolve
  operation no longer breaks on PostgreSQL.
- Errors importing a database backend on a modern Django no longer
  results in unrelated errors about settings.DATABASE_ENGINE.

* Thu Jun 12 2014 Stephen Gallagher <sgallagh@redhat.com> 1:0.7.2-3
- Bump epoch to handle upgrades from Fedora 20 properly

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Jun 02 2014 Stephen Gallagher <sgallagh@redhat.com> 0.7.2-1
- New upstream release 0.7.2
- http://downloads.reviewboard.org/releases/django-evolution/0.7/django_evolution-0.7.2.NEWS
- Fixed a crash from no-op column renames on PostgreSQL

* Thu May 22 2014 Stephen Gallagher <sgallagh@redhat.com> 0.7.1-1
- New upstream release 0.7.1
- http://downloads.reviewboard.org/releases/django-evolution/0.7/django_evolution-0.7.1.NEWS
- Fixed a crash from no-op column renames on MySQL

* Sun Feb 09 2014 Stephen Gallagher <sgallagh@redhat.com> 0.7-5
- New upstream release 0.7
- http://downloads.reviewboard.org/releases/django-evolution/0.7/django_evolution-0.7.NEWS

* Wed Jan 22 2014 Stephen Gallagher <sgallagh@redhat.com> - 0.7-4.beta1
- New upstream release 0.7beta1
- http://downloads.reviewboard.org/releases/django-evolution/0.7/django_evolution-0.7beta1.NEWS

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Mar 13 2013 Stephen Gallagher <sgallagh@redhat.com> - 0.6.9-1
- Update to upstream version 0.6.9
- Fixes serious bug during upgrades from very old versions of a database where
  if an earlier evolution adds a new field and a later one modifies it, they
  will get out of sync.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Stephen Gallagher <sgallagh@redhat.com> - 0.6.7-4
- Correct Provides: version

* Fri Jul 13 2012 Stephen Gallagher <sgallagh@redhat.com> - 0.6.7-3
- Fixes from package review

* Wed Jul 11 2012 Stephen Gallagher <sgallagh@redhat.com> - 0.6.7-2
- Rename package to python-django-evolution

* Thu Apr 19 2012 Stephen Gallagher <sgallagh@redhat.com> - 0.6.7-1
- New upstream release 0.6.7
- Fixes issue where an app listed in INSTALLED_APPS that didn't contain models
  would error out when installing a baseline evolution.

* Tue Apr 03 2012 Stephen Gallagher <sgallagh@redhat.com> - 0.6.6-1
- New upstream release 0.6.6
- Generate more accurate sample evolutions
- Generate PEP-8-compliant sample evolutions
- Support Django 1.4's timezone awareness in the Version model

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Aug 22 2011 Stephen Gallagher <sgallagh@redhat.com> - 0.6.5-1
- New upstream release 0.6.5
- Fixed the version association for baseline evolutions for apps
- Added a built-in evolution to remove the Message model in Django 1.4 SVN

* Mon Jul 11 2011 Stephen Gallagher <sgallagh@redhat.com> - 0.6.4-2
- Resolves: rhbz#720056 - file conflict python-paste-deploy x django-evolution
- Remove tests from installed RPM

* Thu Jun 23 2011 Stephen Gallagher <sgallagh@redhat.com> - 0.6.4-1
- New upstream release 0.6.4
- Unit test compatibility fixes for Django SVN
- Installs a baseline evolution history for any new apps, preventing the
- problem where an up-to-date set of models for a new app would be installed
- on syncdb, followed by a failed evolution due to those changes having
- already been made.

* Tue May 10 2011 Stephen Gallagher <sgallagh@redhat.com> - 0.6.3-1
- New upstream release 0.6.3
- Fixes a long-standing PostgreSQL bug with adding non-null fields with
- default values
- Fixes the multi-database support when the databases are of different
- backends

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov 22 2010 Stephen Gallagher <sgallagh@redhat.com> - 0.6.2-1
- Upgrade to django-evolution 0.6.2 to support ReviewBoard 1.5.1

* Wed Nov 10 2010 Stephen Gallagher <sgallagh@redhat.com> - 0.6.1-1
- Upgrade to latest upstream release

* Thu Jul 29 2010 Stephen Gallagher <sgallagh@redhat.com> - 0.5-4
- Rebuilding to fix python 2.7 issues

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Jun 3 2010 Stephen Gallagher <sgallagh@redhat.com> - 0.5-2
- Stable upstream release 0.5.0

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0-1.1.svnr164
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar 02 2009 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 0.0-0.1.svnr164
- Add Requires: Django

* Wed Feb 18 2009 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 0.0-0.20080217svnr164
- Initial RPM release
